# Class Thelia\Action\BaseAction | thelia

# Class BaseAction

#### Direct known subclasses

Thelia\Action\Cart
Abstract
Namespace: Thelia\Action
Author: Manuel Raynaud <mraynaud@openstudio.fr>
Located at core/lib/Thelia/Action/BaseAction.php

Methods summary

`public`

# `__construct( Symfony\Component\EventDispatcher\EventDispatcherInterface $dispatcher )`

#### Parameters

$dispatcher
  `Symfony\Component\EventDispatcher\EventDispatcherInterface`
  $dispatcher

`public Symfony\Component\EventDispatcher\EventDispatcherInterface`

# `getDispatcher( )`

#### Returns

`Symfony\Component\EventDispatcher\EventDispatcherInterface`

Properties summary
`protected Symfony\Component\EventDispatcher\EventDispatcherInterface` | $dispatcher | `` | #